#!/bin/bash
t=`date +%Y.%h.%d-%H.%d.%S`
(
sleep 2;
echo -e "\r";
sleep 1;
echo -e "read (0-15,0-15) \r";
sleep 5;
echo -e "set voltage limit 1800 \r";
echo -e "\r";
echo -e "write (0-15,0-15) -900\r"; sleep 10;

echo -e "write (0,0) -1410\r"; sleep 2;
echo -e "write (0,1) -1571\r"; sleep 2;
echo -e "write (0,2) -1446\r"; sleep 2;
echo -e "write (0,3) -1600\r"; sleep 2;
echo -e "write (0,4) -1407\r"; sleep 2;
echo -e "write (0,5) -1434\r"; sleep 2;
echo -e "write (0,6) -1539\r"; sleep 2;
echo -e "write (0,9) -1589\r"; sleep 2;
echo -e "write (0,10) -1479\r"; sleep 2;
echo -e "write (0,11) -1353\r"; sleep 2;
echo -e "write (0,12) -1414\r"; sleep 2;
echo -e "write (0,13) -1412\r"; sleep 2;
echo -e "write (0,14) -1455\r"; sleep 2;
echo -e "write (1,0) -1349\r"; sleep 2;
echo -e "write (1,1) -1504\r"; sleep 2;
echo -e "write (1,2) -1334\r"; sleep 2;
echo -e "write (1,3) -1341\r"; sleep 2;
echo -e "write (1,4) -1600\r"; sleep 2;
echo -e "write (1,5) -1371\r"; sleep 2;
echo -e "write (1,6) -1357\r"; sleep 2;
echo -e "write (1,9) -1488\r"; sleep 2;
echo -e "write (1,10) -1275\r"; sleep 2;
echo -e "write (1,11) -1215\r"; sleep 2;
echo -e "write (1,12) -1327\r"; sleep 2;
echo -e "write (1,13) -1394\r"; sleep 2;
echo -e "write (1,14) -1193\r"; sleep 2;
echo -e "write (2,0) -1304\r"; sleep 2;
echo -e "write (2,1) -1263\r"; sleep 2;
echo -e "write (2,2) -1304\r"; sleep 2;
echo -e "write (2,3) -1407\r"; sleep 2;
echo -e "write (2,4) -1454\r"; sleep 2;
echo -e "write (2,5) -1402\r"; sleep 2;
echo -e "write (2,6) -1527\r"; sleep 2;
echo -e "write (2,9) -1331\r"; sleep 2;
echo -e "write (2,10) -1254\r"; sleep 2;
echo -e "write (2,11) -1366\r"; sleep 2;
echo -e "write (2,12) -1374\r"; sleep 2;
echo -e "write (2,14) -1375\r"; sleep 2;
echo -e "write (3,0) -1527\r"; sleep 2;
echo -e "write (3,1) -1421\r"; sleep 2;
echo -e "write (3,2) -1365\r"; sleep 2;
echo -e "write (3,3) -1540\r"; sleep 2;
echo -e "write (3,4) -1432\r"; sleep 2;
echo -e "write (3,5) -1321\r"; sleep 2;
echo -e "write (3,6) -1219\r"; sleep 2;
echo -e "write (3,9) -1309\r"; sleep 2;
echo -e "write (3,10) -1307\r"; sleep 2;
echo -e "write (3,11) -1207\r"; sleep 2;
echo -e "write (3,12) -1252\r"; sleep 2;
echo -e "write (3,13) -1394\r"; sleep 2;
echo -e "write (3,14) -1456\r"; sleep 2;
echo -e "write (4,0) -1264\r"; sleep 2;
echo -e "write (4,1) -1348\r"; sleep 2;
echo -e "write (4,2) -1582\r"; sleep 2;
echo -e "write (4,3) -1430\r"; sleep 2;
echo -e "write (4,4) -1331\r"; sleep 2;
echo -e "write (4,5) -1535\r"; sleep 2;
echo -e "write (4,6) -1531\r"; sleep 2;
echo -e "write (4,9) -1580\r"; sleep 2;
echo -e "write (4,10) -1369\r"; sleep 2;
echo -e "write (4,11) -1412\r"; sleep 2;
echo -e "write (4,12) -1511\r"; sleep 2;
echo -e "write (4,13) -1209\r"; sleep 2;
echo -e "write (4,14) -1313\r"; sleep 2;
echo -e "write (5,0) -1278\r"; sleep 2;
echo -e "write (5,1) -1371\r"; sleep 2;
echo -e "write (5,2) -1437\r"; sleep 2;
echo -e "write (5,3) -1381\r"; sleep 2;
echo -e "write (5,4) -1307\r"; sleep 2;
echo -e "write (5,5) -1313\r"; sleep 2;
echo -e "write (5,6) -1449\r"; sleep 2;
echo -e "write (5,9) -1395\r"; sleep 2;
echo -e "write (5,10) -1335\r"; sleep 2;
echo -e "write (5,11) -1437\r"; sleep 2;
echo -e "write (5,12) -1356\r"; sleep 2;
echo -e "write (5,14) -1363\r"; sleep 2;
echo -e "write (5,15) -1319\r"; sleep 2;
echo -e "write (6,0) -1445\r"; sleep 2;
echo -e "write (6,1) -1600\r"; sleep 2;
echo -e "write (6,2) -1623\r"; sleep 2;
echo -e "write (6,3) -1368\r"; sleep 2;
echo -e "write (6,4) -1600\r"; sleep 2;
echo -e "write (6,5) -1587\r"; sleep 2;
echo -e "write (6,6) -1399\r"; sleep 2;
echo -e "write (6,9) -1600\r"; sleep 2;
echo -e "write (6,10) -1674\r"; sleep 2;
echo -e "write (6,12) -1345\r"; sleep 2;
echo -e "write (6,13) -1328\r"; sleep 2;
echo -e "write (6,14) -1621\r"; sleep 2;
echo -e "write (7,0) -1496\r"; sleep 2;
echo -e "write (7,1) -1351\r"; sleep 2;
echo -e "write (7,2) -1460\r"; sleep 2;
echo -e "write (7,3) -1502\r"; sleep 2;
echo -e "write (7,4) -1498\r"; sleep 2;
echo -e "write (7,5) -1198\r"; sleep 2;
echo -e "write (7,6) -1579\r"; sleep 2;
echo -e "write (7,9) -1460\r"; sleep 2;
echo -e "write (7,10) -1600\r"; sleep 2;
echo -e "write (7,11) -1332\r"; sleep 2;
echo -e "write (7,12) -1629\r"; sleep 2;
echo -e "write (7,13) -1323\r"; sleep 2;
echo -e "write (7,14) -1400\r"; sleep 2;
echo -e "write (8,0) -1450\r"; sleep 2;
echo -e "write (8,1) -1282\r"; sleep 2;
echo -e "write (8,2) -1350\r"; sleep 2;
echo -e "write (8,3) -1563\r"; sleep 2;
echo -e "write (8,4) -1670\r"; sleep 2;
echo -e "write (8,5) -1353\r"; sleep 2;
echo -e "write (8,6) -1332\r"; sleep 2;
echo -e "write (8,9) -1287\r"; sleep 2;
echo -e "write (8,10) -1387\r"; sleep 2;
echo -e "write (8,11) -1502\r"; sleep 2;
echo -e "write (8,12) -1515\r"; sleep 2;
echo -e "write (8,13) -1240\r"; sleep 2;
echo -e "write (8,14) -1526\r"; sleep 2;
echo -e "write (9,0) -1586\r"; sleep 2;
echo -e "write (9,1) -1332\r"; sleep 2;
echo -e "write (9,2) -1332\r"; sleep 2;
echo -e "write (9,3) -1312\r"; sleep 2;
echo -e "write (9,4) -1329\r"; sleep 2;
echo -e "write (9,5) -1380\r"; sleep 2;
echo -e "write (9,6) -1375\r"; sleep 2;
echo -e "write (9,9) -1550\r"; sleep 2;
echo -e "write (9,10) -1486\r"; sleep 2;
echo -e "write (9,11) -1341\r"; sleep 2;
echo -e "write (9,12) -1651\r"; sleep 2;
echo -e "write (9,13) -1600\r"; sleep 2;
echo -e "write (9,14) -1604\r"; sleep 2;
echo -e "write (10,0) -1411\r"; sleep 2;
echo -e "write (10,1) -1465\r"; sleep 2;
echo -e "write (10,2) -1409\r"; sleep 2;
echo -e "write (10,3) -1600\r"; sleep 2;
echo -e "write (10,4) -1402\r"; sleep 2;
echo -e "write (10,5) -1272\r"; sleep 2;
echo -e "write (10,6) -1321\r"; sleep 2;
echo -e "write (10,9) -1592\r"; sleep 2;
echo -e "write (10,10) -1393\r"; sleep 2;
echo -e "write (10,11) -1467\r"; sleep 2;
echo -e "write (10,12) -1474\r"; sleep 2;
echo -e "write (10,13) -1271\r"; sleep 2;
echo -e "write (10,14) -1501\r"; sleep 2;
echo -e "write (11,0) -1276\r"; sleep 2;
echo -e "write (11,1) -1465\r"; sleep 2;
echo -e "write (11,2) -1588\r"; sleep 2;
echo -e "write (11,3) -1506\r"; sleep 2;
echo -e "write (11,4) -1582\r"; sleep 2;
echo -e "write (11,5) -1286\r"; sleep 2;
echo -e "write (11,6) -1370\r"; sleep 2;
echo -e "write (11,9) -1571\r"; sleep 2;
echo -e "write (11,10) -1369\r"; sleep 2;
echo -e "write (11,11) -1667\r"; sleep 2;
echo -e "write (11,12) -1410\r"; sleep 2;
echo -e "write (11,13) -1312\r"; sleep 2;
echo -e "write (11,14) -1621\r"; sleep 2;
echo -e "write (12,0) -1348\r"; sleep 2;
echo -e "write (12,1) -1418\r"; sleep 2;
echo -e "write (12,2) -1450\r"; sleep 2;
echo -e "write (12,3) -1416\r"; sleep 2;
echo -e "write (12,4) -1510\r"; sleep 2;
echo -e "write (12,5) -1529\r"; sleep 2;
echo -e "write (12,6) -1338\r"; sleep 2;
echo -e "write (12,9) -1299\r"; sleep 2;
echo -e "write (12,10) -1224\r"; sleep 2;
echo -e "write (12,11) -1387\r"; sleep 2;
echo -e "write (12,12) -1324\r"; sleep 2;
echo -e "write (12,13) -1312\r"; sleep 2;
echo -e "write (12,14) -1384\r"; sleep 2;
echo -e "write (13,0) -1454\r"; sleep 2;
echo -e "write (13,1) -1609\r"; sleep 2;
echo -e "write (13,2) -1685\r"; sleep 2;
echo -e "write (13,3) -1355\r"; sleep 2;
echo -e "write (13,4) -1243\r"; sleep 2;
echo -e "write (13,5) -1305\r"; sleep 2;
echo -e "write (13,6) -1285\r"; sleep 2;
echo -e "write (13,9) -1561\r"; sleep 2;
echo -e "write (13,10) -1333\r"; sleep 2;
echo -e "write (13,11) -1237\r"; sleep 2;
echo -e "write (13,12) -1286\r"; sleep 2;
echo -e "write (13,13) -1327\r"; sleep 2;
echo -e "write (13,14) -1301\r"; sleep 2;
echo -e "write (14,0) -1314\r"; sleep 2;
echo -e "write (14,2) -1600\r"; sleep 2;
echo -e "write (14,3) -1198\r"; sleep 2;
echo -e "write (14,4) -1267\r"; sleep 2;
echo -e "write (14,5) -1263\r"; sleep 2;
echo -e "write (14,6) -1362\r"; sleep 2;
echo -e "write (14,7) -1658\r"; sleep 2;
echo -e "write (14,9) -1384\r"; sleep 2;
echo -e "write (14,10) -1315\r"; sleep 2;
echo -e "write (14,11) -1405\r"; sleep 2;
echo -e "write (14,12) -1361\r"; sleep 2;
echo -e "write (14,13) -1370\r"; sleep 2;
echo -e "write (14,14) -1454\r"; sleep 2;
echo -e "write (15,0) -1476\r"; sleep 2;
echo -e "write (15,1) -1599\r"; sleep 2;
echo -e "write (15,2) -1382\r"; sleep 2;
echo -e "write (15,15) -1564\r"; sleep 2;

sleep 2;
echo -e "read (0-15,0-15)\r";
sleep 10;
echo -e "\r";
echo -e "\r";
echo -e "^]";
sleep 1;
) | telnet fms-serv.trg.bnl.local 7008 > ../log/fms_hvon_7008_$t.tex
echo Set new HV
cat ../log/fms_hvon_7008_$t.tex
